gd_hidden(3)

NAME
gd_hidden — retrieve the fragment containing a dirfile field

SYNOPSIS
#include <getdata.h>

int gd_hidden(const DIRFILE *dirfile, const char *entry_name);

DESCRIPTION
The gd_hidden() function queries a dirfile(5) database specified by dirfile and indicates whether the field or alias called entry_name is hidden or not. This information is also available in the entry object proved by gd_entry(3).

A hidden entry does not appear in the field lists returned by the functions gd_field_list(3), gd_field_list_by_type(3), gd_vectors(3), gd_constants(3), and gd_strings(3). These omissions are also reflected in the counts returned by the corresponding field counting functions (gd_nfields(3), &c.).

RETURN VALUE
Upon successful completion, gd_hidden() returns one if the field or alias is hidden, or zero if the entry is not hidden. On error it returns -1 and sets the dirfile error a non-zero error value. (As a result, the caller checking simply whether the return value of this function is non-zero is usually an error.) Possible error values are:

GD_E_BAD_CODE
    The field specified by field_code was not found in the database.

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
gd_entry(3), gd_field_list(3), gd_hide(3), gd_nfields(3), gd_open(3), gd_unhide(3), dirfile(5)